# Create or Update a Contact User This endpoint creates a new contact user or updates the attributes of an existing contact user if one exists with the supplied email address. To use this endpoint, 'contact users' must be enabled in the identity settings page in the console. A contact user is a type of user that has no validators and so no ability to create authenticated sessions. Contact users can be created to capture user information, such as email addresses, without fully registering users. This endpoint cannot be used to update the attributes of a registered user. Attempting to do so will return a 409 response. After creating a contact with an anonomyous session, the session is updated to include a flag to identify that this has happened. In the rules builder, the 'Contact Capture' decision node can be used to test this flag value and so determine if the current anonymous session was used to create a contact. This can be used, for example, to prevent showing a contact form to anonymous users that have already filled in such a form. Endpoint: POST /zephr/createContact Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Request fields (application/json): - `identifiers` (object, required) - `identifiers.email_address` (string) Example: "joe.blow@company.com" - `attributes` (object) ## Response 200 fields (application/json): - `tracking_id` (string) A unique ID assigned to the created contact for tracking purposes. - `message` (string) A human-readable message describing the result of the operation. ## Response 400 fields ## Response 403 fields ## Response 409 fields